// pages/Standard-maintenance-room-monitoring/index.js
const app = getApp();
Page({

    /**
     * 页面的初始数据
     */
    data: {
        projectId:'',
        startTime:"",
        endTime:"",
        startTime2:"",
        endTime2:"",
        deviceNo:"010840009F",
        jianceList: [{ text: '010840009F', id: 0 }],
        indexNum: 0,
        value:'本月',
        value1:'本月',
        actions: [{ name: '本月',id:0 }, { name: '累计', id:1},],
        actions1: [{ name: '本月',id:0 }, { name: '累计', id:1},],
        biaoyangList: [
            { name: '温度趋势', biaoyangX: [], biaoyangY: [] },
            { name: '最小标准温度', biaoyangX: [], biaoyangY: [] },
            { name: '最大标准温度', biaoyangX: [], biaoyangY: [] }
        ],

        indexNum2: 0,
        biaoyangList2: [
            { name: '湿度趋势', biaoyangX: [], biaoyangY: [] },
            { name: '标准湿度', biaoyangX: [], biaoyangY: [] },
        ],
    },
    onClick(){
        this.setData({
            show1:true
        })
    },
    onClick1(){
        this.setData({
            show2:true
        })
    },
    onClose(){
        this.setData({
            show:false,
            show1:false,
            show2:false
        })
    },
    showPopup() {
        this.setData({ show: true });
      },
      goGCLB:function(){
        wx.redirectTo({
          url: '../../pages/Quality-Assurance/index'
        })
      },
    // 点击进行超耗tab切换
    onSelect(e) {
        // console.log(e);
        // console.log(e.detail.id);
        if(e.detail.id ==0){
            this.setData({
                startTime:this.getDate(-6,1),
                endTime:this.getDate(0,2),
            })
        }else{
            this.setData({
                startTime:this.getDate(-29,1),
                endTime:this.getDate(0,2),
            })
        }
        this.setData({
            indexNum: e.detail.id,
        })
        this.runList();
    },
    onSelect1(e) {
        if(e.detail.id ==0){
            this.setData({
                startTime2:this.getDate(-6,1),
                endTime2:this.getDate(0,2),
            })
        }else{
            this.setData({
                startTime2:this.getDate(-29,1),
                endTime2:this.getDate(0,2),
            })
        }
        this.setData({
            indexNum2: e.detail.id,
        })
        this.runList2();
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
           //获取缓存数据
           wx.getStorage({
            key: 'userinfo',
            success:res=>{
              this.setData({
                loginName:res.data.loginName,
                userName:res.data.userName,
                projectId:app.globalData.projectId,
                projectNameArgs:app.globalData.projectName,
                initData:{text:app.globalData.projectName,id:app.globalData.projectId}
              })  
              this.getProjectCorrespondence(app.globalData.projectId)
            }
          })
        this.setData({
            startTime:this.getDate(-6,1),
            endTime:this.getDate(0,2),
            startTime2:this.getDate(-6,1),
            endTime2:this.getDate(0,2),
        })
        this.getProjectCorrespondence();
    },
    getDate(num,type){
        var date = new Date(new Date().getTime()+num*24*60*60*1000);
        var year = date.getFullYear();
        var month = (date.getMonth()+1) > 9 ? (date.getMonth()+1):'0'+(date.getMonth()+1)
        var day = date.getDate() > 9 ? date.getDate():'0'+date.getDate()
        return year+"-"+month+"-"+day+(type==1?" 00:00:00":" 23:59:59");
    },
    /**
     * 项目对应关系
     */
    getProjectCorrespondence() {
        var that = this;
        wx.request({
            url: app.globalData.reqUrl + '/weixin/training/getProjectCorrespondence',
            data: {
                "projectId": 3//app.globalData.projectId,
            },
            method: "get",
            success: function (res) {
                that.setData({
                    projectId :res.data.szh
                })
                that.runList();
                that.runList2();
            }
        })
    },
    runList() {
        var that = this;
        console.log(that.data)
        wx.request({
            url: app.globalData.szhUrl + '/api/iot/markingroom/runList',
            data: {
                "projectId": that.data.projectId,
                "startTime": that.data.startTime,
                "endTime": that.data.endTime,
                "deviceNo": that.data.deviceNo
            },
            method: "get",
            success: function (res) {
                console.log(res.data);
                var data = {}
                data.lineData = []
                data.color = ['#008ffd', '#f6d023', '#5af9fd']
                data.legend = ['温度趋势', '最小标准温度', '最大标准温度']
                data.unit = '℃'
                data.date = []
                var data1 = []
                var data2 = []
                var data3 = []
                var biaoyangList = that.data.biaoyangList;
                for (let row of res.data.rows) {
                    data.date.push(row.createTime.substr(0, 14) + "00");
                    data1.push(18)
                    data2.push(row.temperature)
                    data3.push(22)
                }
                data.lineData.push(data1)
                data.lineData.push(data2)
                data.lineData.push(data3)
                that.setData({
                    biaoyangList: data,
                })
            }
        })
    },
    runList2() {
        var that = this;
        wx.request({
            url: app.globalData.szhUrl + '/api/iot/markingroom/runList',
            data: {
                "projectId": that.data.projectId,
                "startTime": that.data.startTime2,
                "endTime": that.data.endTime2,
                "deviceNo": that.data.deviceNo
            },
            method: "get",
            success: function (res) {
                var data = {}
                data.lineData = []
                data.color = ['#008ffd', '#f6d023']
                data.legend = ['湿度趋势', '标准湿度']
                data.unit = '%RH'
                data.date = []
                var data1 = []
                var data2 = []
                var biaoyangList2 = that.data.biaoyangList2;
                for (let row of res.data.rows) {
                    data.date.push(row.createTime.substr(0, 14) + "00");
                    data1.push(row.humidity)
                    data2.push(95)
                }
                data.lineData.push(data1)
                data.lineData.push(data2)
                that.setData({
                    biaoyangList2: data
                })
            }
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})